using Automancer.Common;
using Spectre.Console.Cli;

namespace Automancer.Command.Image;

public class Module : ICommandModule
{
   public string Name => "image";
   public string Description => "Docker/podman image operations";
    public void Configure(IConfigurator config, CommandRegistry registry)
    {
        config.AddBranch(Name, image => {
            image.SetDescription(Description);
            registry.Add(Name, Description);

            image.AddCommand<BuildCommand>("build").WithDescription("Build a docker image");
            image.AddCommand<PushCommand>("push").WithDescription("Push a docker image");

        });
    }

}